Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.config.impl.digester.elements
Class Application

    java.lang.Object
      org.apache.myfaces.config.impl.digester.elements.Application

public class Application
extends java.lang.Object

Author:
  Oliver Rossmueller

Constructor Summary
`Application()`

Method Summary
`void` | `addActionListener(java.lang.String listener)`
`void` | `addDefaultRenderkitId(java.lang.String id)`
`void` | `addLocaleConfig(LocaleConfig config)`
`void` | `addMessageBundle(java.lang.String bundle)`
`void` | `addNavigationHandler(java.lang.String handler)`
`void` | `addPropertyResolver(java.lang.String resolver)`
`void` | `addStateManager(java.lang.String manager)`
`void` | `addVariableResolver(java.lang.String handler)`
`void` | `addViewHandler(java.lang.String handler)`
`java.util.List` | `getActionListener()`
`java.util.List` | `getDefaultRenderkitId()`
`java.util.List` | `getLocaleConfig()`
`java.util.List` | `getMessageBundle()`
`java.util.List` | `getNavigationHandler()`
`java.util.List` | `getPropertyResolver()`
`java.util.List` | `getStateManager()`
`java.util.List` | `getVariableResolver()`
`java.util.List` | `getViewHandler()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Application

    public Application()

Method Detail

### addActionListener

    public void addActionListener(java.lang.String listener)

### addDefaultRenderkitId

    public void addDefaultRenderkitId(java.lang.String id)

### addMessageBundle

    public void addMessageBundle(java.lang.String bundle)

### addNavigationHandler

    public void addNavigationHandler(java.lang.String handler)

### addStateManager

    public void addStateManager(java.lang.String manager)

### addPropertyResolver

    public void addPropertyResolver(java.lang.String resolver)

### addVariableResolver

    public void addVariableResolver(java.lang.String handler)

### addLocaleConfig

    public void addLocaleConfig(LocaleConfig config)

### addViewHandler

    public void addViewHandler(java.lang.String handler)

### getActionListener

    public java.util.List getActionListener()

### getDefaultRenderkitId

    public java.util.List getDefaultRenderkitId()

### getMessageBundle

    public java.util.List getMessageBundle()

### getNavigationHandler

    public java.util.List getNavigationHandler()

### getViewHandler

    public java.util.List getViewHandler()

### getStateManager

    public java.util.List getStateManager()

### getPropertyResolver

    public java.util.List getPropertyResolver()

### getVariableResolver

    public java.util.List getVariableResolver()

### getLocaleConfig

    public java.util.List getLocaleConfig()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD